What CFW to use for PSP 1000?

Discussion in 'PSP - Games & Content' started by Infinite Zero, Aug 20, 2010.

Aug 20, 2010
  1. Infinite Zero
    OP

    Member Infinite Zero Almost!

    Joined:
    Apr 25, 2010
    Messages:
    2,922
    Location:
    California
    Country:
    United States
    I've seen a lot of different firmwares, ChickHEN, Prometheus, M33, etc
    What should I use with the phat PSP that can play the latest games? I can't seem to find out in other topics [​IMG]
    Thank you in advance [​IMG]
     
  2. DigitalDeviant

    Member DigitalDeviant GBAtemp Addict

    Joined:
    Feb 14, 2010
    Messages:
    2,002
    Location:
    Solar Federation
    Country:
    United States
  3. overslept

    Member overslept WALLY WALLY WALLY WALLY WALLY WALLY WALLY WORLD

    Joined:
    Mar 22, 2009
    Messages:
    706
    Location:
    California
    Country:
    United States
    Prometheus. And grats to DigitalDeviant on his/her 100th post!
     
  4. DigitalDeviant

    Member DigitalDeviant GBAtemp Addict

    Joined:
    Feb 14, 2010
    Messages:
    2,002
    Location:
    Solar Federation
    Country:
    United States
    oh snap I had no idea that would be my 100th post, thanks, I was just helping out a fellow temper.
     
  5. Goli

    Member Goli RPG

    Joined:
    Jul 16, 2008
    Messages:
    2,571
    Country:
    Chile
    Did you really have to make so many posts to get that answer?
    Not to mention i already said Prometheus the first time *facepalm*
     
  6. Infinite Zero
    OP

    Member Infinite Zero Almost!

    Joined:
    Apr 25, 2010
    Messages:
    2,922
    Location:
    California
    Country:
    United States
    So it's safe to upgrade form 4.01 m33 to Prometheus? [​IMG] Thanks for the guide but i cant understand it lol

    Goli I knew that but a simple answer wouldn't do much. I just borrowed this PSP and just want to upgrade it so that he cold make use of it next time. And i dont know how to install Prometheus facepalm all you want kthxbai
     
  7. toejam316

    Member toejam316 GBAtemp Regular

    Joined:
    Apr 20, 2007
    Messages:
    259
    Country:
    New Zealand
    There are two options - you can roll with 5.00 M33 or else 5.01 Gen or 5.50 Gen-D3.
    I run 5.50 Gen-D3 with the Prometheus addon and it serves me well - and it lets you run most 6.20 Games without the Prometheus patching, which means you don't need to mess around with it to make POPSLoader work.
    I reccomend 5.50 Gen-D3, although supposedly there are a couple of Homebrew issues
     
  8. DigitalDeviant

    Member DigitalDeviant GBAtemp Addict

    Joined:
    Feb 14, 2010
    Messages:
    2,002
    Location:
    Solar Federation
    Country:
    United States
    one must read carefully before bumping a post

    did you read this part at all?

    "Installing M33
    Download Recovery Flasher v1.60
    & 5.00 Official Firmware
    Copy the RECOVERY folder to ms0:/PSP/GAME/
    Re-name the 5.00 Official Firmware to 500.PBP
    Copy 500.PBP to ms0:/ (The root of the memory stick)
    Run HellCat's Recovery Flasher
    Make sure Target FW is 5.00 then go down to INSTALL M33 CFW"

    source: http://gbatemp.net/t205696-how-to-softmod-your-psp

    it states to install 5.00 m33

    I'm no expert but I think you should update to 5.00 m33 then update to XGEN 5.50 GEN-D3 then D4 which is named prometheus.
     
  9. Infinite Zero
    OP

    Member Infinite Zero Almost!

    Joined:
    Apr 25, 2010
    Messages:
    2,922
    Location:
    California
    Country:
    United States
    Currently downloading all the needed files. thanks for the replies and I'll go with 5.50 gen. I don't use Homebrew.. simply ISOs only


    edit:
    I'm on the step of using hellcats recovery flasher. Target is 5.00m33, i'll choose the install cfw option??
     
  10. overslept

    Member overslept WALLY WALLY WALLY WALLY WALLY WALLY WALLY WORLD

    Joined:
    Mar 22, 2009
    Messages:
    706
    Location:
    California
    Country:
    United States
    "Make sure Target FW is 5.00 then go down to INSTALL M33 CFW"

    I guess so. I'm not really sure what you're asking though...
     
  11. Infinite Zero
    OP

    Member Infinite Zero Almost!

    Joined:
    Apr 25, 2010
    Messages:
    2,922
    Location:
    California
    Country:
    United States
    Whew! I have 5.00 m33-6! [​IMG]


    I have two files here, the 5.50 prometheus and the 5.50gen-D3 which should I run?
     
  12. overslept

    Member overslept WALLY WALLY WALLY WALLY WALLY WALLY WALLY WORLD

    Joined:
    Mar 22, 2009
    Messages:
    706
    Location:
    California
    Country:
    United States
    GEN-D3, then 5.50 Prometheus IN THAT ORDER.
     
  13. Infinite Zero
    OP

    Member Infinite Zero Almost!

    Joined:
    Apr 25, 2010
    Messages:
    2,922
    Location:
    California
    Country:
    United States
    Yay thank you all! I now have Prometheus 5.50 [​IMG]
     

Share This Page